Loading...
Searching...
No Matches
dolfin::FacetArea Class Reference

`#include <SpecialFunctions.h>`

Inheritance diagram for dolfin::FacetArea:
[legend]
Collaboration diagram for dolfin::FacetArea:
[legend]

## Public Member Functions

| FacetArea (std::shared_ptr< const Mesh > mesh)
| Constructor.
void | eval (Array< double > &values, const Array< double > &x, const ufc::cell &cell) const
| Evaluate function.
Public Member Functions inherited from dolfin::Expression
| Expression ()
| Create scalar expression.
| Expression (std::size_t dim)
| Expression (std::size_t dim0, std::size_t dim1)
| Expression (std::vector< std::size_t > value_shape)
| Expression (const Expression &expression)
virtual | ~Expression ()
| Destructor.
virtual void | eval (Eigen::Ref< Eigen::VectorXd > values, Eigen::Ref< const Eigen::VectorXd > x, const ufc::cell &cell) const override
virtual void | eval (Array< double > &values, const Array< double > &x) const override
virtual void | eval (Eigen::Ref< Eigen::VectorXd > values, Eigen::Ref< const Eigen::VectorXd > x) const override
virtual std::size_t | value_rank () const override
virtual std::size_t | value_dimension (std::size_t i) const override
virtual std::vector< std::size_t > | value_shape () const override
virtual void | set_property (std::string name, double value)
virtual double | get_property (std::string name) const
virtual void | set_generic_function (std::string name, std::shared_ptr< GenericFunction > f)
virtual std::shared_ptr< dolfin::GenericFunction > | get_generic_function (std::string name) const
virtual void | restrict (double *w, const FiniteElement &element, const Cell &dolfin_cell, const double *coordinate_dofs, const ufc::cell &ufc_cell) const override
virtual void | compute_vertex_values (std::vector< double > &vertex_values, const Mesh &mesh) const override
virtual std::shared_ptr< const FunctionSpace > | function_space () const override
Public Member Functions inherited from dolfin::GenericFunction
| GenericFunction ()
| Constructor.
virtual | ~GenericFunction ()
| Destructor.
virtual void | update () const
| Update off-process ghost coefficients.
double | operator() (double x) const
| Evaluation at given point (scalar function).
double | operator() (double x, double y) const
| Evaluation at given point (scalar function).
double | operator() (double x, double y, double z) const
| Evaluation at given point (scalar function).
double | operator() (const Point &p) const
| Evaluation at given point (scalar function).
void | operator() (Array< double > &values, double x) const
| Evaluation at given point (vector-valued function).
void | operator() (Array< double > &values, double x, double y) const
| Evaluation at given point (vector-valued function).
void | operator() (Array< double > &values, double x, double y, double z) const
| Evaluation at given point (vector-valued function).
void | operator() (Array< double > &values, const Point &p) const
| Evaluation at given point (vector-valued function).
std::size_t | value_size () const
| Evaluation at given point.
virtual void | evaluate (double *values, const double *coordinates, const ufc::cell &cell) const override
Public Member Functions inherited from dolfin::Variable
| Variable ()
| Create unnamed variable.
| Variable (const std::string name, const std::string label)
| Create variable with given name and label.
| Variable (const Variable &variable)
| Copy constructor.
virtual | ~Variable ()
| Destructor.
const Variable & | operator= (const Variable &variable)
| Assignment operator.
void | rename (const std::string name, const std::string label)
| Rename variable.
std::string | name () const
| Return name.
std::string | label () const
| Return label (description).
std::size_t | id () const
virtual std::string | str (bool verbose) const
| Return informal string representation (pretty-print).

## Additional Inherited Members

Public Attributes inherited from dolfin::Variable
Parameters | parameters
| Parameters.
Protected Member Functions inherited from dolfin::GenericFunction
void | restrict_as_ufc_function (double *w, const FiniteElement &element, const Cell &dolfin_cell, const double *coordinate_dofs, const ufc::cell &ufc_cell) const
| Restrict as UFC function (by calling eval).
Protected Attributes inherited from dolfin::Expression
std::vector< std::size_t > | _value_shape

## Detailed Description

This function represents the area/length of a cell facet on a given mesh.

## Member Function Documentation

## eval()

void FacetArea::eval | ( | Array< double > & | values,
|  | const Array< double > & | x,
|  | const ufc::cell & | cell ) const

virtual

Evaluate function.

Reimplemented from dolfin::Expression.

The documentation for this class was generated from the following files:

- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/function/SpecialFunctions.h
- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/function/SpecialFunctions.cpp